%define	ver	0.1.2
%define	subver	hp14
Summary:	Primecoin - First Scientific Computing Cryptocurrency
Name:		primecoin-hp
Version:	%{ver}.%{subver}
Release:	3
License:	MIT/X11
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/primecoin-hp/%{ver}-%{subver}/primecoin-%{ver}-%{subver}.tar.bz2
# Source0-md5:	90115f413a3244aaf6271b1c83c0ddae
Patch0:		build-i486.patch
Patch1:		boost-1.58.patch
URL:		http://primecoin.org
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	boost-devel
BuildRequires:	db-cxx-devel
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	qrencode-devel
BuildRequires:	qt4-qmake
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Primecoin - First Scientific Computing Cryptocurrency.

%package qt
Summary:	Qt-based Primecoin Wallet
Group:		X11/Applications

%description qt
Qt-based Primecoin Wallet.

%prep
%setup -q -n primecoin-%{ver}-%{subver}
%patch0 -p1
%patch1 -p1

%build
qmake-qt4 \
	USE_UPNP=1 \
	USE_DBUS=1 \
	USE_QRCODE=1 \
	bitcoin-qt.pro

%{__make}

%{__make} -C src -f makefile.unix \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} %{rpmcxxflags} %{rpmcppflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name},%{_mandir}/man{1,5},%{_localedir},%{_desktopdir},%{_pixmapsdir},%{_datadir}/kde4/services}

install src/primecoind $RPM_BUILD_ROOT%{_libdir}/%{name}/primecoind
ln -s %{_libdir}/%{name}/primecoind $RPM_BUILD_ROOT%{_bindir}/primecoind
#sed -e 's#/usr/lib/#%{_libdir}/#g' -e 's#bitcoin#primecoin#g' contrib/debian/bin/bitcoind > $RPM_BUILD_ROOT%{_bindir}/primecoind
#chmod 755 $RPM_BUILD_ROOT%{_bindir}/primecoind

install primecoin-qt $RPM_BUILD_ROOT%{_bindir}
sed -e 's#bitcoin#primecoin#g' contrib/debian/bitcoin-qt.desktop > $RPM_BUILD_ROOT%{_desktopdir}/primecoin-qt.desktop
sed -e 's#bitcoin#primecoin#g' contrib/debian/bitcoin-qt.protocol > $RPM_BUILD_ROOT%{_datadir}/kde4/services/primecoin-qt.protocol

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.txt contrib/debian/examples/bitcoin.conf
%attr(755,root,root) %{_bindir}/primecoind
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/primecoind

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/primecoin-qt
%{_datadir}/kde4/services/primecoin-qt.protocol
%{_desktopdir}/primecoin-qt.desktop
%changelog
* Tue May 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/primecoin-hp.git;a=log;h=master

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 2b98fd9
- boost 1.61 rebuild
- release 3 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> fde8c4d
- release 2 (by relup.sh)

* Sat Jun 27 2015 Jan Rękorajski <baggins@pld-linux.org> 6430289
- updated to 0.1.2-hp14
- fixed building with boost 1.58

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 5f09ca1
- rebuild with boost 1.57.0
- release 5 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> e4a6c3b
- rebuild with boost 1.56.0
- release 4 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 164e12b
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0e040fc
- fix building on i486
- rel 2

* Sat Nov 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a5f4c15
- up to 0.1.2hp11

* Wed Oct 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 33d643b
- properl url

* Wed Oct 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a4e00a
- initial

